Bug 1850375 - Error during updating packages after installing rpminspect
Summary: Error during updating packages after installing rpminspect
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: rpminspect
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: David Cantrell
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-06-24 07:34 UTC by Zdenek Dohnal
Modified: 2020-07-03 01:37 UTC (History)
1 user (show)

Fixed In Version: rpminspect-0.13-2.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-07-03 01:37:39 UTC
Type: Bug


Attachments (Terms of Use)

Description Zdenek Dohnal 2020-06-24 07:34:08 UTC
Hi,

I installed rpminspect on Fedora 31 and I got an error during updating the system afterwards:

Steps:
$ sudo dnf install rpminspect
$ sudo dnf -y upgrade
Last metadata expiration check: 0:24:49 ago on Wed 24 Jun 2020 08:57:24 AM CEST.
Dependencies resolved.

 Problem: package librpminspect-0.13-1.fc31.x86_64 requires libmandoc.so.1()(64bit), but none of the providers can be installed
  - package mandoc-1.14.5-12.fc31.x86_64 obsoletes libmandoc <= 1.14.5-10 provided by libmandoc-1.14.4-3.fc31.x86_64
  - cannot install the best update candidate for package librpminspect-0.13-1.fc31.x86_64
  - cannot install the best update candidate for package libmandoc-1.14.4-3.fc31.x86_64
Nothing to do.
Complete!

Would you mind looking into it?

Comment 1 David Cantrell 2020-06-24 15:16:21 UTC
Sorry about that.  I pushed an update to mandoc for F-31 and yesterday moved it to the stable updates.  But I have not yet rebuilt rpminspect on F-31.  Let me do that today.

In the mean time, you can use the F-31 Copr builds:
https://copr.fedorainfracloud.org/coprs/dcantrell/rpminspect/

The Copr repo provides the most recent version from master if the test suite passes.

Comment 2 Fedora Update System 2020-06-24 18:40:15 UTC
FEDORA-2020-22d970a8d1 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-22d970a8d1

Comment 3 Fedora Update System 2020-06-25 00:58:37 UTC
FEDORA-2020-22d970a8d1 has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-22d970a8d1`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-22d970a8d1

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 4 Zdenek Dohnal 2020-06-25 04:33:27 UTC
No problem, David - it is actually only an error during dnf transaction for rpminspect, which doesn't stop the whole update. I'll update the summary accordingly.

Please use a buildroot override in the future for updates like this in branched Fedoras - if you have a package which changed soname and other package depends on soname, then build the soname changed package, enable a buildroot override for the build and build the dependent package. Then both rebuilt packages push as a single bodhi update - it will prevent issues like this one.

Comment 5 Fedora Update System 2020-07-03 01:37:39 UTC
FEDORA-2020-22d970a8d1 has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.